/*
 * Copyright Bigeon Emmanuel (2014)
 *
 * emmanuel@bigeon.fr
 *
 * This software is a computer program whose purpose is to
 * provide a generic framework for console applications.
 *
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 */
/**
 * gclc:fr.bigeon.gclc.command.ScriptExecutionTest.java
 * Created on: Jun 12, 2016
 */
package fr.bigeon.gclc.command;

import static org.junit.Assert.fail;

import java.io.IOException;

import org.junit.Test;

import fr.bigeon.gclc.CommandTestingApplication;
import fr.bigeon.gclc.exception.InvalidCommandName;

/**
 * <p>
 * TODO
 *
 * @author Emmanuel Bigeon
 *
 */
public class ScriptExecutionTest {

    /**
     * Test method for {@link fr.bigeon.gclc.command.ScriptExecution#execute(java.lang.String[])}.
     */
    @Test
    public void testExecute() {
        try {
            CommandTestingApplication application = new CommandTestingApplication();

            application.add(new ScriptExecution("script",
                    application.getApplication(), "#"));

            application.sendCommand("script src/test/resources/script1.txt");
            application.sendCommand("script src/test/resources/script2.txt");
            application.sendCommand("script src/test/resources/script3.txt");
            application.sendCommand("script src/test/resources/script4.txt");
            application
                    .sendCommand("script src/test/resources/script5.txt test");

            application.waitAndStop();

        } catch (IOException | InvalidCommandName e) {
            fail("Unexpected exception");
        }
    }

}
